#!/bin/bash

#
# This script installs JPD in given path
# version 0.1, 17.04.2000
#

pushd `pwd`> /dev/null

# go to the right place
cd `dirname $0`

# get the path of the jpd package
srcpath=`dirname \`pwd\``


###############################
# where to install JPD        #
###############################
jpdpath=/opt/jpd


echo "Installing JPD from $srcpath to $jpdpath ..."

UPDATE=0
# Check for and make path
if [ -d $jpdpath ]; then
  UPDATE=1
  echo "Path $jpdpath already exists, doing an update!"
else
  mkdir $jpdpath
fi

# copy jpd files
if [ -d $jpdpath ]; then
  install -m 0555 run.sh $jpdpath/run
  install -m 0555 kde_setup.sh $jpdpath/kde_setup
  install -m 0555 $srcpath/jpd.jar $jpdpath
  install -m 0555 $srcpath/ctag.jar $jpdpath
  install -m 0555 $srcpath/pilot.jar $jpdpath
  install -m 0444 $srcpath/readme $jpdpath
  install -m 0444 $srcpath/liesmich $jpdpath
  install -m 0444 $srcpath/faq.txt $jpdpath
  install -m 0444 linux.txt $jpdpath
  if [ -h /usr/bin/jpd ]; then
    rm -f /usr/bin/jpd
  fi
  ln -s $jpdpath/run /usr/bin/jpd
else
  echo "ERROR, creating $jpdpath."
fi


# now install COMMPAI and JCL
if [ -d $jpdpath ]; then
  install -m 0555 comm.jar $jpdpath
  install -m 0555 jcl.jar $jpdpath
fi

# IBM JRE installed
if [ -d /usr/jre118 ]; then
  install -m 0555 javacomm.prp /usr/jre118/lib

  if [ -d /usr/jre118/lib/linux/native_threads ]; then
    if  [ ! -f /usr/jre118/lib/linux/native_threads/libSerial.la ]; then
      libtool --mode=install install -c libSerial.la /usr/lib
    fi
  fi
fi


popd > /dev/null

exit