#!/bin/bash


#
# Does a user setup for JPD and KDE
#
folderpath="$HOME/Desktop/JPD"

# go to the right place
cd `dirname $0`
jpdpath=`pwd`


# Make INI-File if not exists
if ! [ -f $HOME/.JPD.INI ]; then
  echo "creating .JPD.INI"
  echo "#Configuration file for The Java-Pilot-Desktop v1.0"  > $HOME/.JPD.INI
  echo "#`date`"                        >> $HOME/.JPD.INI
  echo "HotsyncModules=11111000"        >> $HOME/.JPD.INI
  echo "CompleteHotsync=true"           >> $HOME/.JPD.INI
  echo "showCompleted=false"            >> $HOME/.JPD.INI
  echo "FrameY=10"                      >> $HOME/.JPD.INI
  echo "FrameX=80"                      >> $HOME/.JPD.INI
  echo "datapath=$HOME/.jpd/"           >> $HOME/.JPD.INI
  echo "HideState=false""               >> $HOME/.JPD.INI
fi



# create if folder does not exists
if ! [ -d $folderpath ]; then
  mkdir $folderpath
fi



# create .directory
echo "# KDE Config File"    > $folderpath/.directory
echo "[KDE Desktop Entry]" >> $folderpath/.directory
echo "BgImage="            >> $folderpath/.directory
echo "MiniIcon="           >> $folderpath/.directory
echo "Icon="               >> $folderpath/.directory
echo "[URL properties]"    >> $folderpath/.directory
echo "Toolbar=flat"        >> $folderpath/.directory
echo "LocationBar=flat"    >> $folderpath/.directory
echo "kfmgui_height=213"   >> $folderpath/.directory
echo "Menubar=flat"        >> $folderpath/.directory
echo "HTMLView=yes"        >> $folderpath/.directory
echo "Statusbar=show"      >> $folderpath/.directory
echo "ViewMode=IconView"   >> $folderpath/.directory
echo "ShowDotFiles=no"     >> $folderpath/.directory
echo "kfmgui_width=976"    >> $folderpath/.directory
echo "TreeView=Off"        >> $folderpath/.directory
echo "VisualSchnauzer=On"  >> $folderpath/.directory



kdelink()
{
 echo "# KDE Config File"               > $folderpath/$filename
 echo "[KDE Desktop Entry]"            >> $folderpath/$filename
 echo "SwallowExec="                   >> $folderpath/$filename
 echo "SwallowTitle="                  >> $folderpath/$filename
 echo "BinaryPattern=jpd;" 		         >> $folderpath/$filename
 echo "MimeType="                      >> $folderpath/$filename
 echo "Name=$name"                     >> $folderpath/$filename
 echo "Name[de]=$name"                 >> $folderpath/$filename
 echo "Exec=$execfile"                 >> $folderpath/$filename
 echo "Icon="                          >> $folderpath/$filename
 echo "TerminalOptions="               >> $folderpath/$filename
 echo "Path="                          >> $folderpath/$filename
 echo "Type=Application"               >> $folderpath/$filename
 echo "Comment[de]=$name"              >> $folderpath/$filename
 echo "Terminal=0"                     >> $folderpath/$filename
}





#create all the program objects


#
# jpd
#

filename="Java-Pilot-Desktop.kdelnk"
execfile="/usr/bin/jpd"
name="Java-Pilot-Desktop"
kdelink


#
# Address
#

filename="AddressBook.kdelnk"
execfile="/usr/bin/jpd address"
name="AddressBook"
kdelink

#
# DateBook
#

filename="DateBook.kdelnk"
execfile="/usr/bin/jpd date"
name="DateBook"
kdelink

#
# MemoPad
#

filename="MemoPad.kdelnk"
execfile="/usr/bin/jpd memo"
name="MemoPad"
kdelink


#
# TodoList
#

filename="TodoList.kdelnk"
execfile="/usr/bin/jpd todo"
name="TodoList"
kdelink

#
# Expense
#

filename="Expense.kdelnk"
execfile="/usr/bin/jpd expense"
name="Expense"
kdelink


#
# README
#

filename="README.kdelnk"
execfile="kless $jpdpath/readme"
name="README"
kdelink

#
# FAQ
#

filename="FAQ.kdelnk"
execfile="kless $jpdpath/faq.txt"
name="FAQ"
kdelink



#
# JPDs Home
#

filename="JPDs_Home.kdelnk"
name="JPDs Home"

# create JPD progam object
echo "# KDE Config File"               > $folderpath/$filename
echo "[KDE Desktop Entry]"            >> $folderpath/$filename
echo "Name=$name"                     >> $folderpath/$filename
echo "Name[de]=$name"                 >> $folderpath/$filename
echo "Icon=www.xpm"                   >> $folderpath/$filename
echo "MiniIcon=www.xpm"               >> $folderpath/$filename
echo "TerminalOptions="               >> $folderpath/$filename
echo "Path="                          >> $folderpath/$filename
echo "Type=Link"                      >> $folderpath/$filename
echo "Comment[de]=$name"              >> $folderpath/$filename
echo "URL=http://www.ctag.de/projects/jpd" >> $folderpath/$filename



exit


