#!/bin/bash

#
# Start Java-Pilot-Desktop script by Arnd Grossmann
# version 1.0, 17.04.2000
#

modul=$1

JAVABIN="java"
# JAVABIN="/usr/jre118/bin/jre"

JAVAOPT=

PRG=`type -p $0` >/dev/null 2>&1
# If PRG is a symlink, trace it to the real home directory

while [ -L "$PRG" ]
do
  newprg=`expr "\`/bin/ls -l "$PRG"\`" : ".*$PRG -> \(.*\)"`
  expr "$newprg" : / >/dev/null || newprg="`dirname $PRG`/$newprg"
  PRG="$newprg"
done

jpdpath=`dirname $PRG`


pushd $jpdpath >/dev/null 2>&1

# set the correct CLASSPATH
# check if comm.jar (the COMMAPI) is in the CLASSPATH
X=`echo $CLASSPATH | grep comm.jar`
if [ -z $X ]; then
  export CLASSPATH=$CLASSPATH:$jpdpath/comm.jar
fi

X=`echo $CLASSPATH | grep jcl.jar`
if [ -z $X ]; then
  export CLASSPATH=$CLASSPATH:$jpdpath/jcl.jar
fi


# Now start the selected modul

case $modul in
  address)  echo "AddressBook"
						$JAVABIN $JAVAOPT -cp "$jpdpath/key.jar:$jpdpath/jpd.jar:$jpdpath/pilot.jar:$jpdpath/ctag.jar:$jpdpath/comm.jar" Address.AddressFrame
  					 ;;

  date)     echo "DateBook"
						$JAVABIN $JAVAOPT -cp "$jpdpath/key.jar:$jpdpath/jpd.jar:$jpdpath/pilot.jar:$jpdpath/ctag.jar:$jpdpath/comm.jar" DateBook.DateFrame
  					 ;;

	todo)     echo "ToDoList"
						$JAVABIN $JAVAOPT -cp "$jpdpath/key.jar:$jpdpath/jpd.jar:$jpdpath/pilot.jar:$jpdpath/ctag.jar:$jpdpath/comm.jar" Todo.TodoFrame
  					 ;;

	memo)     echo "MemoList"
						$JAVABIN $JAVAOPT -cp "$jpdpath/key.jar:$jpdpath/jpd.jar:$jpdpath/pilot.jar:$jpdpath/ctag.jar:$jpdpath/comm.jar" Memo.MemoFrame
  					 ;;

	expense)  echo "Expense"
						$JAVABIN $JAVAOPT -cp "$jpdpath/key.jar:$jpdpath/jpd.jar:$jpdpath/pilot.jar:$jpdpath/ctag.jar:$jpdpath/comm.jar" Expense.ExpenseFrame
  					 ;;

	sync)     echo "ExpressSync"
						$JAVABIN $JAVAOPT -cp "$jpdpath/key.jar:$jpdpath/jpd.jar:$jpdpath/pilot.jar:$jpdpath/ctag.jar:$jpdpath/comm.jar" ExpressSync
  					 ;;

	*)				echo "starting JPD ..."
						$JAVABIN $JAVAOPT -cp "$jpdpath/pilot1.jar:$jpdpath/key.jar:$jpdpath/jpd.jar:$jpdpath/pilot.jar:$jpdpath/ctag.jar:$jpdpath/comm.jar" Jpd $2 $3
  					 ;;
esac

popd >/dev/null 2>&1

exit