/*
 * This REXX-Script creates the Java-Pilot-Desktop Folder on your Desktop
 */

/* Register with REXX API extensions. */
Call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
Call SysLoadFuncs

CreateCollision = 'Update'

IF SysFileTree("jpd.jar", Files., 'F') = 0 THEN
  IF TRANSLATE(FILESPEC("name", Files.1)) = "JPD.JAR" THEN
    DO
    OS2DataPath=directory()||'\os2'
    END
  ELSE
    DO
    OS2DataPath=directory()
    END

JPDPath=SUBSTR(OS2DataPath, 1, LASTPOS("\",OS2DataPath)-1)


/*********** search for java.exe or jre.exe in the PATH */
Jvm = SysSearchPath('PATH','JRE.EXE');
if Jvm == '' then do
    Jvm = SysSearchPath('PATH','JAVA.EXE');
end;
if Jvm == '' then do
    say 'JAVA.EXE nor JRE.EXE found in PATH.';
    exit(1);
end;

/*********** check for existing javacomm.prp in java\lib *************/
LibPath = left(Jvm, lastpos('\',Jvm)-1);
LibPath = left(LibPath, lastpos('\',LibPath))||'LIB\';

Call CreateObjects

Exit


CreateObject: procedure
    Parse Arg Class, Title, Location, Setup, Collision
    Say 'Creating ['Title']'
    rc = SysCreateObject( Class, Title, Location, Setup, Collision )
    If rc <> 1 Then
        Say ' > failed to create ['Title' | 'Class'] at location ['Location']'
    return rc

CreateObjects:

rc = CreateObject( 'WPFolder',,
    'Java-Pilot-Desktop',,
    '<WP_DESKTOP>',,
    'NOTDEFAULTICON=YES;'||,
        'NOPRINT=YES;'||,
        'DEFAULTVIEW=CONTENTS;'||,
        'ICONPOS=85,41;'||,
        'ICONVIEWPOS=27 59 47 14;'||,
        'SELFCLOSE=2;'||,
        'BACKGROUND='||OS2DataPath||'\jpd6.gif,T,,I,255 255 255;'||,
        'ICONFONT=9.WarpSans Bold;'||,
        'DETAILSFONT=9.WarpSans;'||,
        'TREEFONT=9.WarpSans;'||,
        'ICONVIEW=NONGRID,NORMAL;'||,
        'DETAILSVIEW=MINI;'||,
        'TREEVIEW=LINES,MINI;'||,
        'FOLDERICONBACKGROUNDCOLOR=00C1B9FF;'||,
        'ICONFILE='||OS2DataPath||'\Java-Pilot-Desktop.ICO;'||,
        'OBJECTID=<Java_Pilot_Desktop>',,
    CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'Java-Pilot-Desktop',,
      '<Java_Pilot_Desktop>',,
      'NOTDEFAULTICON=YES;'||,
          'NOPRINT=YES;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'EXENAME='||JPDPath||'\RUN.CMD;'||,
          'STARTUPDIR='||JPDPath||';'||,
          'PROGTYPE=WINDOWABLEVIO;'||,
          'MINIMIZED=YES;'||,
          'ICONFILE='||OS2DataPath||'\Java-Pilot-Desktop1.ICO',,
      CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'J.P.D. ToDoList',,
      '<Java_Pilot_Desktop>',,
      'NOTDEFAULTICON=YES;'||,
          'NOPRINT=YES;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'PARAMETERS=todo;'||,
          'EXENAME='||JPDPath||'\RUN.CMD;'||,
          'STARTUPDIR='||JPDPath||';'||,
          'PARAMETERS=todo;'||,
          'PROGTYPE=WINDOWABLEVIO;'||,
          'MINIMIZED=YES;'||,
          'ICONFILE='||OS2DataPath||'\J.ICO',,
      CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'J.P.D. Address',,
      '<Java_Pilot_Desktop>',,
      'NOTDEFAULTICON=YES;'||,
          'NOPRINT=YES;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'EXENAME='||JPDPath||'\RUN.CMD;'||,
          'STARTUPDIR='||JPDPath||';'||,
          'PARAMETERS=address;'||,
          'PROGTYPE=WINDOWABLEVIO;'||,
          'MINIMIZED=YES;'||,
          'ICONFILE='||OS2DataPath||'\J1.ICO',,
      CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'J.P.D. MemoPad',,
      '<Java_Pilot_Desktop>',,
      'NOTDEFAULTICON=YES;'||,
          'NOPRINT=YES;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'EXENAME='||JPDPath||'\RUN.CMD;'||,
          'STARTUPDIR='||JPDPath||';'||,
          'PARAMETERS=memo;'||,
          'PROGTYPE=WINDOWABLEVIO;'||,
          'MINIMIZED=YES;'||,
          'ICONFILE='||OS2DataPath||'\J2.ICO',,
      CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'J.P.D. Expense',,
      '<Java_Pilot_Desktop>',,
      'NOTDEFAULTICON=YES;'||,
          'NOPRINT=YES;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'EXENAME='||JPDPath||'\RUN.CMD;'||,
          'STARTUPDIR='||JPDPath||';'||,
          'PARAMETERS=expense;'||,
          'PROGTYPE=WINDOWABLEVIO;'||,
          'MINIMIZED=YES;'||,
          'ICONFILE='||OS2DataPath||'\J3.ICO',,
      CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'J.P.D. DateBook',,
      '<Java_Pilot_Desktop>',,
      'NOTDEFAULTICON=YES;'||,
          'NOPRINT=YES;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'EXENAME='||JPDPath||'\RUN.CMD;'||,
          'STARTUPDIR='||JPDPath||';'||,
          'PARAMETERS=date;'||,
          'PROGTYPE=WINDOWABLEVIO;'||,
          'MINIMIZED=YES;'||,
          'ICONFILE='||OS2DataPath||'\J4.ICO',,
      CreateCollision )


return


