/* J.P.D. RUN.CMD v0.8                    */
/* written by Arnd Gromann (arnd@ctag.de)*/

/* Register with REXX API extensions. */
Call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
Call SysLoadFuncs

PARSE ARG modul debug

/*********** search for java.exe or jre.exe in the PATH */
Jvm = SysSearchPath('PATH','JRE.EXE');
if Jvm == '' then do
    Jvm = SysSearchPath('PATH','JAVA.EXE');
end;
if Jvm == '' then do
    say 'JAVA.EXE nor JRE.EXE found in PATH.';
    exit(1);
end;


/*********** search for classes.zip in the classpath enviroment variable */
ClassPath = Value('CLASSPATH',, 'OS2ENVIRONMENT');

/*********** search for classes.zip in the java directory */
if ClassPath == '' then do
    JvmPath = left(Jvm, lastpos('\',Jvm)-1);
    JvmPath = left(JvmPath, lastpos('\',JvmPath));
    if  stream(JvmPath||'lib\classes.zip', 'c', 'query exists') <> '' then
        ClassPath = JvmPath||'lib\classes.zip';
    if  stream(JvmPath||'lib\comm.jar', 'c', 'query exists') <> '' then
        ClassPath = ClassPath||';'||JvmPath||'lib\classes.zip';
end;
if ClassPath == '' then do
    say 'CLASSES.ZIP not found in CLASSPATH or java directory.';
    exit(2);
end;

say 'Starting J.P.D., please stand by ...';

'set beginlibpath=.;'

SELECT
  WHEN modul == 'address' THEN
    Jvm||' -classpath key.jar;jpd.jar;pilot.jar;ctag.jar;'||Classpath||';%classpath% Address.AddressFrame';
  WHEN modul == 'todo' THEN
    Jvm||' -classpath key.jar;jpd.jar;pilot.jar;ctag.jar;'||Classpath||';%classpath% Todo.TodoFrame'
  WHEN modul == 'memo' THEN
    Jvm||' -classpath key.jar;jpd.jar;pilot.jar;ctag.jar;'||Classpath||';%classpath% Memo.MemoFrame'
  WHEN modul == 'mail' THEN
    Jvm||' -classpath key.jar;jpd.jar;pilot.jar;ctag.jar;'||Classpath||';%classpath% Mail.MailFrame'
  WHEN modul == 'expense' THEN
    Jvm||' -classpath key.jar;jpd.jar;pilot.jar;ctag.jar;'||Classpath||';%classpath% Expense.ExpenseFrame'
  WHEN modul == 'date' THEN
    Jvm||' -classpath key.jar;jpd.jar;pilot.jar;ctag.jar;'||Classpath||';%classpath% DateBook.DateFrame'
  WHEN modul == 'sync' THEN
    Jvm||' -classpath key.jar;jpd.jar;pilot.jar;ctag.jar;'||Classpath||';%classpath% ExpressSync'
OTHERWISE
  Jvm||' -classpath key.jar;jpd.jar;pilot.jar;ctag.jar;'||Classpath||';%classpath% Jpd '||debug;
END;

exit(0);
